%define upstream_name    PAUSE-Permissions
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    PAUSE permissions for one module (from 06perms.txt)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PAUSE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Options)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(autodie)
BuildRequires: perl(feature)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
PAUSE::Permissions provides an interface to the '06perms.txt' file produced
by the Perl Authors Upload Server (PAUSE). The file records who has what
permissions for every module on CPAN. The format and interpretation of this
file are covered in the /"The 06perms.txt file" manpage below.

By default, the module will mirror '06perms.txt' from CPAN, using the
HTTP::Tiny manpage to request it and store it locally. By default it will
get the file from the http://www.cpan.org manpage, but you can pass an
alternate URI to the constructor:

  $perms_uri = "http://$CPAN_MIRROR/modules/06perms.txt";
  $pp = PAUSE::Permissions->new(uri => $perms_uri);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/pause-permissions
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.160.0-3pclos2017
- rebuild against updates

